package com.example.employee.employee.model;
// Generated Nov 27, 2019 2:47:59 PM by Hibernate Tools 4.3.5.Final

import java.math.BigDecimal;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Penempatan generated by hbm2java
 */
@Entity
@Table(name = "penempatan", schema = "public")
public class Penempatan implements java.io.Serializable {

	private int idPenempatan;
	private String kotaPenempatan;
	private BigDecimal umkPenempatan;
	private Set<Karyawan> karyawans = new HashSet<Karyawan>(0);

	public Penempatan() {
	}

	public Penempatan(int idPenempatan, String kotaPenempatan, BigDecimal umkPenempatan) {
		this.idPenempatan = idPenempatan;
		this.kotaPenempatan = kotaPenempatan;
		this.umkPenempatan = umkPenempatan;
	}

	public Penempatan(int idPenempatan, String kotaPenempatan, BigDecimal umkPenempatan, Set<Karyawan> karyawans) {
		this.idPenempatan = idPenempatan;
		this.kotaPenempatan = kotaPenempatan;
		this.umkPenempatan = umkPenempatan;
		this.karyawans = karyawans;
	}

	@Id

	@Column(name = "ID_PENEMPATAN", unique = true, nullable = false)
	public int getIdPenempatan() {
		return this.idPenempatan;
	}

	public void setIdPenempatan(int idPenempatan) {
		this.idPenempatan = idPenempatan;
	}

	@Column(name = "KOTA_PENEMPATAN", nullable = false, length = 128)
	public String getKotaPenempatan() {
		return this.kotaPenempatan;
	}

	public void setKotaPenempatan(String kotaPenempatan) {
		this.kotaPenempatan = kotaPenempatan;
	}

	@Column(name = "UMK_PENEMPATAN", nullable = false, precision = 16, scale = 4)
	public BigDecimal getUmkPenempatan() {
		return this.umkPenempatan;
	}

	public void setUmkPenempatan(BigDecimal umkPenempatan) {
		this.umkPenempatan = umkPenempatan;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "penempatan")
	public Set<Karyawan> getKaryawans() {
		return this.karyawans;
	}

	public void setKaryawans(Set<Karyawan> karyawans) {
		this.karyawans = karyawans;
	}

}
